Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSAttributeGroupDefinition

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  XSAttributeGroupDecl

public interface XSAttributeGroupDefinition
extends XSObject

This interface represents the Attribute Group Definition schema component The interface may be updated or replaced.

Method Summary
`XSAnnotation` | `getAnnotation()` Optional.
`XSObjectList` | `getAttributeUses()` A set of [attribute uses].
`XSWildcard` | `getAttributeWildcard()` Optional.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getAttributeUses

    public XSObjectList getAttributeUses()

  A set of [attribute uses].

### getAttributeWildcard

    public XSWildcard getAttributeWildcard()

  Optional. A [wildcard].

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. An [annotation].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.